#!/usr/bin/perl -w

use IO::Socket;
use Fcntl;


# Connect to the server...
$remote = IO::Socket::INET->new(
		Proto     => "tcp",
		PeerAddr  => "localhost",
		PeerPort  => "13666",
	)
	|| die "Cannot connect to LCDproc port\n";

# Make sure our messages get there right away
$remote->autoflush(1);

sleep 1;	# Give server plenty of time to notice us...

print $remote "hello\n";
my $lcdconnect = <$remote>;
print $lcdconnect;

# Turn off blocking mode...
fcntl($remote, F_SETFL, O_NONBLOCK);


# Set up some screen widgets...
print $remote "client_set name test\n";
print $remote "screen_add xmms\n";
print $remote "screen_set xmms name Test heartbeat off\n";
print $remote "widget_add xmms Title scroller\n";
print $remote "widget_set xmms Title 1 1 16 1 h 1 'Long Long Long Long Title'\n";
print $remote "widget_add xmms status hbar\n";

$cpt=0;

while(1) {
  while(defined ($line=<$remote>)) {
    $line=~s/\r?\n//;
    if($line ne "success") {
      print $line;
    }
  }
  my $time="";
#	$time = sprintf("%02d:%02d",int($cpt/60),$cpt%60) if $cpt%3 == 0;
#  print $remote "widget_set xmms time 6 2 {[$time]}\n";
  $cpt++;
	print "$cpt\n";
  print $remote "widget_set xmms status 6 2 $cpt\n";
#  print $remote "screen_set xmms name Test heartbeat off priority 192\n" if $cpt>20;
  sleep(1);
}
